> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-jp/deploy/serverless/video-inference/use-a-fine-tuned-model.md).

# Fine-Tuned Modelを使用する

video inference API では、Roboflow で学習した、またはアップロードしたモデルを使用できます。

### Video Inference API で Fine-Tuned Model を使用する

まず、Roboflow Python package をインストールします。

```bash
pip install roboflow
```

次に、新しい Python ファイルを作成し、以下のコードを追加します。

```python
from roboflow import Roboflow

rf = Roboflow(api_key="API_KEY")
project = rf.workspace().project("PROJECT_NAME")
model = project.version(MODEL_ID).models()[0]

job_id, signed_url, expire_time = model.predict_video(
    "football-video.mp4",
    fps=5,
    prediction_type="batch-video",
)

results = model.poll_until_video_results(job_id)

print(results)
```

上記では、以下を置き換えてください。

* `API_KEY`：Roboflow の API key に置き換えます
* `PROJECT_NAME`：Roboflow の project ID に置き換えます。
* `MODEL_ID`：Roboflow の model ID に置き換えます。

*重要な注意：現在、Roboflow の video inference は 2023年6月30日以降に Roboflow 内で学習されたモデルのみをサポートしています。現在、古いモデルを含められるよう対応を進めています。*

[API key の取得方法を見る](https://docs.roboflow.com/api-reference/authentication#retrieve-an-api-key).

[model ID の取得方法を見る](https://docs.roboflow.com/api-reference/workspace-and-project-ids).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-jp/deploy/serverless/video-inference/use-a-fine-tuned-model.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
